import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce1 
{	  String s;
	  public  ce1()
	  {girdi2 g=new girdi2("f2D"," ");
	   s=g.vericiktisi();
	   try{ g.finalize();} 
	   catch(Throwable e1) {System.err.println("input error.");} 
	  }
	  
	  public  ce1(String function)
	  {	  functiongenerator g=new functiongenerator("f2D",function);
	      s=g.createfunction();
	      try{ g.finalize();} 
	      catch(Throwable e1) {System.err.println("input error.");}
	  }
     public static double[] enterdoublearray(String s)
     {
     String s1=JOptionPane.showInputDialog(s);        
     StringTokenizer token=new StringTokenizer(s1);
     int n=token.countTokens()-1;
     int m=n+1;
     double a[]=new double[m];
     int j=0;           
     while(token.hasMoreTokens())
     {
     Double ax=new Double(token.nextToken());
     a[j++]=ax.doubleValue();
     }
     return a;
     }

	  public static void main(String arg[])
	  { 
	  ce1 x0=new ce1();
      double a[]=enterdoublearray("Enter minimum and maximum values of the function xmin xmax");
      ce3 x1=new ce3(a[0],a[1],400,x0.s);
	  }
}
